org.apache.olingo.odata2.api.exception

## Class ODataBadRequestException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.olingo.odata2.api.exception.ODataException
      - - org.apache.olingo.odata2.api.exception.ODataMessageException
        - - org.apache.olingo.odata2.api.exception.ODataHttpException
          - - org.apache.olingo.odata2.api.exception.ODataBadRequestException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ExpressionParserException, UriSyntaxException

      public class ODataBadRequestException
      extends ODataHttpException

  Exceptions of this class will result in a HTTP status 400 bad request
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MessageReference` | `AMBIGUOUS_XMETHOD`
    `static MessageReference` | `BODY`
    `static MessageReference` | `COMMON`
    `static MessageReference` | `INVALID_HEADER` INVALID_HEADER requires 2 content values ('header key' and 'header value')
    `static MessageReference` | `INVALID_REQUEST` INVALID_REQUEST requires NO content values
    `static MessageReference` | `INVALID_SYNTAX` INVALID_SYNTAX requires NO content values
    `static MessageReference` | `NOTSUPPORTED`
    `static MessageReference` | `PARSEVERSIONERROR`
    `static MessageReference` | `URLTOOSHORT`
    `static MessageReference` | `VERSIONERROR`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `httpStatus`

    - ### Fields inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `errorCode, messageReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ODataBadRequestException(MessageReference messageReference)`
    `ODataBadRequestException(MessageReference messageReference, String errorCode)`
    `ODataBadRequestException(MessageReference messageReference, Throwable cause)`
    `ODataBadRequestException(MessageReference messageReference, Throwable cause, String errorCode)`

  - ### Method Summary

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataHttpException

      `getHttpStatus`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataMessageException

      `createMessageReference, getErrorCode, getMessage, getMessageReference`

    - ### Methods inherited from class org.apache.olingo.odata2.api.exception.ODataException

      `getApplicationExceptionCause, getHttpExceptionCause, getMessageExceptionCause, isCausedByApplicationException, isCausedByHttpException, isCausedByMessageException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### COMMON

          public static final MessageReference COMMON

    - #### NOTSUPPORTED

          public static final MessageReference NOTSUPPORTED

    - #### URLTOOSHORT

          public static final MessageReference URLTOOSHORT

    - #### VERSIONERROR

          public static final MessageReference VERSIONERROR

    - #### PARSEVERSIONERROR

          public static final MessageReference PARSEVERSIONERROR

    - #### BODY

          public static final MessageReference BODY

    - #### AMBIGUOUS_XMETHOD

          public static final MessageReference AMBIGUOUS_XMETHOD

    - #### INVALID_HEADER

          public static final MessageReference INVALID_HEADER

      INVALID_HEADER requires 2 content values ('header key' and 'header value')

    - #### INVALID_SYNTAX

          public static final MessageReference INVALID_SYNTAX

      INVALID_SYNTAX requires NO content values

    - #### INVALID_REQUEST

          public static final MessageReference INVALID_REQUEST

      INVALID_REQUEST requires NO content values

  - ### Constructor Detail

    - #### ODataBadRequestException

          public ODataBadRequestException(MessageReference messageReference)

    - #### ODataBadRequestException

          public ODataBadRequestException(MessageReference messageReference,
                                          String errorCode)

    - #### ODataBadRequestException

          public ODataBadRequestException(MessageReference messageReference,
                                          Throwable cause)

    - #### ODataBadRequestException

          public ODataBadRequestException(MessageReference messageReference,
                                          Throwable cause,
                                          String errorCode)

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.